/*  versio 12 / 2025  */
/*  normaali pelikenttä, ei kehyksiä */

/** {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 1em
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}
*/
.pelialue {

       width: 80vmin;
       height: 60vmin;
       display: flex;
       flex-direction: column; 
       border-radius: 5px;
       background-color: #333333;
       margin-right:5px;
       margin-left:0px;
       margin-top:10px;
       margin-bottom:10px;
}

.otsikkotiedot {
    color: #cccccc;
/*    font-weight: 400;*/
/*    padding: 20px 27px;*/
    padding: 5px 5px 5px 5px;
    display: flex;
    justify-content: space-between;
}

/* grid-asetelu: 20 riviä, 30 saraketta, */

.pelilauta {
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-rows: repeat(20, 1fr);
    grid-template-columns: repeat(30, 1fr);
    background-color: #339933;
}

.pelilauta .sapuska {
/*    background-color: #ff003d;*/
    background-color: #ff3366;
    border:1px solid;
    border-color:#dddddd;
}

.pelilauta .nuppi {
/*    background-color: #B8C6DC;*/
    background-color: #f0f0f0;

}

.pelilauta .body {
    background-color: #aaffaa; /* madon keho */

}

/* Peli loppui -ikkuna: */
.peliloppui-ikkuna {
    display: none; /* oletuksena piilotettu */
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 85%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.3); 

}

.peliloppui-sis {
    background-color: #eeeeee;
    margin: auto;
    padding: 20px;
    border: 1px solid #888888;
    width: 80%;
    max-width: 300px;
    text-align: center;
    border-radius: 10px;
}

.peliloppui-sis h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

/*.peliloppui-sis p {
    font-size: 1.2rem;
    margin-bottom: 1.5rem;
}*/

.peliloppui-sis button {
    padding: 10px 20px;
/*    font-size: 1rem;*/
    background-color: #337700;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.peliloppui-sis button:hover {
    background-color: #339900;
}

/* tasoikkunan tyylit */
.tasoikkuna {

    display: flex; /* Näytetään oletuksena alkuperäisessä valinnassa */
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 85%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
    align-items: center;
    justify-content: center;
}

.tasoikkuna-sis {
    background-color: #eeeeee;
    margin: auto;
    padding: 20px;
    border: 1px solid #888888;
    width: 80%;
    max-width: 300px;
    text-align: center;
    border-radius: 10px;
}

.tasoikkuna-sis h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.tasoikkuna-sis button {
    padding: 10px 20px;
    font-size: 1rem;
    margin: 5px;
    background-color: #339900;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.tasoikkuna-sis button:hover {
    background-color: #339900;
}



input, button {
  padding: 3px 15px;
  margin: 3px;
      font-size: 1rem;
  display: flex;
       flex-direction: row;
       flex-wrap: wrap;  

}

.nappulat {
/*     width: 150px;*/
       width: 180px;
       height: 180px;
       display: flex;
       flex-direction: row;
       flex-wrap: wrap; 
       border-radius: 5px;
/*       background-color: #ffffff;*/
       margin-top:5px;
       margin-bottom:10px;
}

.btn {
    background-color: #ffffff;
    width: 45px;
    height: 45px;
}

.btn2 {
    background-color: #eeffee;
    width: 45px;
    height: 45px;
}


.selitys {
margin-left: 5em;
/*width:200px;*/
}

.keskitetty{

  display: flex;
  justify-content: center;
  width:100%;
}
/*
section {
  display: flex;
  flex-direction: column;
 height: 70vh;
}
*/

section {
  display: flex;
  flex-wrap: wrap;
  
}



@media  (max-width: 600px) and (orientation: portrait) {
  section {
    flex-direction: column;
  }
 .flex-item {
    flex: 100%;
  }
}

.flex-item {
  background-color: #f1f1f1;
  padding: 10px;
  flex: 33%;
  
}

